## org.eclipse.uml2.codegen.ecore.genmodel.generator
Class GenPackageGeneratorAdapter

    java.lang.Object
      org.eclipse.emf.common.notify.impl.SingletonAdapterImpl
          org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter
              org.eclipse.emf.codegen.ecore.genmodel.generator.GenBaseGeneratorAdapter
                  org.eclipse.emf.codegen.ecore.genmodel.generator.GenPackageGeneratorAdapter
                      org.eclipse.uml2.codegen.ecore.genmodel.generator.GenPackageGeneratorAdapter

All Implemented Interfaces:
  org.eclipse.emf.codegen.ecore.generator.GeneratorAdapter, org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal

    public class GenPackageGeneratorAdapter

extends org.eclipse.emf.codegen.ecore.genmodel.generator.GenPackageGeneratorAdapter

Since:
  1.2.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter
`org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter.JETEmitterDescriptor`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.generator.GenPackageGeneratorAdapter
`ACTION_BAR_CONTRIBUTOR_ID, ADAPTER_FACTORY_CLASS_ID, EDITOR_ID, FACTORY_CLASS_ID, ITEM_PROVIDER_ADAPTER_FACTORY_ID, MODEL_ICON_ID, MODEL_WIZARD_ICON_ID, MODEL_WIZARD_ID, PACKAGE_CLASS_ID, PACKAGE_EXAMPLE_ID, PACKAGE_TEST_SUITE_ID, RESOURCE_CLASS_ID, RESOURCE_FACTORY_CLASS_ID, SWITCH_CLASS_ID, VALIDATOR_CLASS_ID, XML_PROCESSOR_CLASS_ID`

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.generator.GenBaseGeneratorAdapter
`EDIT_PROJECT_TYPE, EDITOR_PROJECT_TYPE, MODEL_PROJECT_TYPE, TESTS_PROJECT_TYPE`

Fields inherited from class org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter
`adapterFactory, generatingObject, gifEmitters, importManager, jetEmitters, lineDelimiter, MANIFEST_ENCODING, message, OBJECT_ARGUMENT, PROPERTIES_ENCODING, uriConverter`

Fields inherited from class org.eclipse.emf.common.notify.impl.SingletonAdapterImpl
`targets`

Constructor Summary
`GenPackageGeneratorAdapter(org.eclipse.emf.codegen.ecore.generator.GeneratorAdapterFactory generatorAdapterFactory)`

Method Summary
`protected void` `addClasspathEntries(org.eclipse.emf.codegen.jet.JETEmitter jetEmitter)`
`protected org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter.JETEmitterDescriptor[]` `getJETEmitterDescriptors()`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.generator.GenPackageGeneratorAdapter

`doPostGenerate, doPreGenerate, generateActionBarContributor, generateAdapterFactoryClass, generateEdit, generateEditor, generateEditor, generateFactoryClass, generateFactoryInterface, generateItemProviderAdapterFactory, generateModel, generateModelIcon, generateModelWizard, generateModelWizardIcon, generatePackageClass, generatePackageExample, generatePackageInterface, generatePackageSerialization, generatePackageTestSuite, generateResourceClass, generateResourceFactoryClass, generateSchema, generateSwitchClass, generateTests, generateValidatorClass, generateXMLProcessorClass, getGenerateEditChildren, getGenerateEditorChildren, getGenerateModelChildren, getGenerateParent, getGenerateTestsChildren, getInputPathNames`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.generator.GenBaseGeneratorAdapter
`addBaseTemplatePathEntries, canGenerate, canGenerateEdit, canGenerateEditor, canGenerateModel, canGenerateTests, clearImportManager, createImportManager, doGenerate, ensureProjectExists, getGenerateChildren, getParent, getUserTemplatePath, setLineDelimiter`

Methods inherited from class org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter

`createCodeFormatter, createGIFEmitter, createInputStream, createJETEmitter, createMonitor, createOutputStream, ensureContainerExists, exists, formatCode, generate, generateGIF, generateJava, generateProperties, generateText, getAdapterFactory, getCanGenerateChildren, getCanGenerateParent, getContents, getEncoding, getGenerator, getGIFEmitter, getImportManager, getJETEmitter, getLineDelimiter, getLineDelimiter, getURIConverter, isAdapterForType, isReadOnly, postGenerate, preGenerate, setAdapterFactory, setStaticTemplateClass, setWriteable, toDiagnostic, toPlatformResourceURI, toURI, validateEdit`

Methods inherited from class org.eclipse.emf.common.notify.impl.SingletonAdapterImpl
`dispose, getTarget, notifyChanged, setTarget, unsetTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.ecore.generator.GeneratorAdapter
`dispose`

Constructor Detail

### GenPackageGeneratorAdapter

    public GenPackageGeneratorAdapter(org.eclipse.emf.codegen.ecore.generator.GeneratorAdapterFactory generatorAdapterFactory)

Method Detail

### getJETEmitterDescriptors

    protected org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter.JETEmitterDescriptor[] getJETEmitterDescriptors()

  Overrides:
    `getJETEmitterDescriptors` in class `org.eclipse.emf.codegen.ecore.genmodel.generator.GenPackageGeneratorAdapter`

### addClasspathEntries

    protected void addClasspathEntries(org.eclipse.emf.codegen.jet.JETEmitter jetEmitter)
                                throws org.eclipse.emf.codegen.jet.JETException

  Overrides:
    `addClasspathEntries` in class `org.eclipse.emf.codegen.ecore.genmodel.generator.GenBaseGeneratorAdapter`
  Throws:
    `org.eclipse.emf.codegen.jet.JETException`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.